Skip to main content
GET
/
location
/
search
Search locations by name and optionally filter by type
curl --request GET \
  --url https://tryfundable.ai/api/v1/location/search \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "locations": [
      {
        "permalink": "san-francisco-california",
        "name": "San Francisco",
        "location_type": "CITY"
      },
      {
        "permalink": "san-francisco-bay-area",
        "name": "San Francisco Bay Area",
        "location_type": "REGION"
      },
      {
        "permalink": "california",
        "name": "California",
        "location_type": "STATE"
      }
    ]
  },
  "meta": {
    "total_count": 3
  }
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format. Format: Authorization: Bearer vg_your_api_key_here

API keys follow the pattern: vg_[12_hex_chars]_[32_base64url_chars]

Query Parameters

name
string
required

Location name to search for

Example:

"san francisco"

type
enum<string>

Filter by specific location type

Available options:
CITY,
STATE,
REGION,
COUNTRY
Example:

"CITY"

location_type
enum<string>

Alias for 'type' parameter

Available options:
CITY,
STATE,
REGION,
COUNTRY
Example:

"CITY"

Response

Successful search results

success
boolean
required
Example:

true

data
object
required
meta
object
required